? Keeping 15.01_dev separate from GPL EiffelStudio ?

15 views
Skip to first unread message

Jimmy Johnson

unread,
Mar 3, 2015, 9:02:13 PM3/3/15
to eiffelst...@googlegroups.com
I have 15.01_dev and the GPL version as a Mac port on my computer, but the Mac port version of EiffelStudio is using the library classes from the development library.  (Same environment variables?)  How do I run both versions and make the versions use their appropriate libraries? 

Thanks,
jjj

Emmanuel Stapf

unread,
Mar 4, 2015, 3:22:46 AM3/4/15
to eiffelst...@googlegroups.com

This is where defining the environment variables helps. You need to define:

- ISE_EIFFEL

- ISE_LIBRARY

according to the version you are using.

 

Manu

 

--
For more messaging options, visit this group at http://forum.eiffel.com.
Information on the Eiffelstudio project: http://dev.eiffel.com.

Jimmy Johnson

unread,
Mar 4, 2015, 12:09:17 PM3/4/15
to eiffelst...@googlegroups.com, ma...@eiffel.com
So I have to constantly change the environment variables in the .profile file?  One set when working on the compiler so it used the dev library, and other values when working on other projects where I want to use the version of the libraries provided by ISE in the MacPorts GPL version?

Emmanuel Stapf

unread,
Mar 4, 2015, 2:47:39 PM3/4/15
to Jimmy Johnson, eiffelst...@googlegroups.com

I’m just giving all the information that you need to switch from one version to another. However you can always use the version of the libraries that comes from subversion as long as you keep your EiffelStudio installation in sync (usually we post a message on the mailing list when you actually have to upgrade).

 

Regards,

Manu

Reply all
Reply to author
Forward
0 new messages